#pragma once

/**
** \defgroup serialize JS binary serialization
** Converts JS data to a basic binary format with support for exporting
** functions so that they can be called across the barrier, too.
** @{
*/

#include "quickjs.h"

typedef struct _tf_task_t tf_task_t;
typedef struct _tf_taskstub_t tf_taskstub_t;

void tf_serialize_store(tf_task_t* task, tf_taskstub_t* to, void** out_buffer, size_t* out_size, JSValue value);
JSValue tf_serialize_load(tf_task_t* task, tf_taskstub_t* from, const char* buffer, size_t size);

/** @} */
