#pragma once

/**
** \defgroup ssb_connections SSB Connections
** Primitive tracking for SSB connections, as in we tried to connect to host X
** Y seconds ago, and it failed.  This needs to be replaced with something better.
** @{
*/

typedef struct _tf_ssb_t tf_ssb_t;
typedef struct _tf_ssb_connections_t tf_ssb_connections_t;

tf_ssb_connections_t* tf_ssb_connections_create(tf_ssb_t* ssb);
void tf_ssb_connections_destroy(tf_ssb_connections_t* connections);

void tf_ssb_connections_store(tf_ssb_connections_t* connections, const char* host, int port, const char* key);
void tf_ssb_connections_set_attempted(tf_ssb_connections_t* connections, const char* host, int port, const char* key);
void tf_ssb_connections_set_succeeded(tf_ssb_connections_t* connections, const char* host, int port, const char* key);

/** @} */
